---
stages:
  - build
  - lint
  - test
  - release

workflow:
  rules:
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
    - if: $CI_COMMIT_BRANCH && $CI_OPEN_MERGE_REQUESTS
      when: never
    - if: $CI_COMMIT_BRANCH

include:
  # enabled by default - add to DISABLED_JOBS to disable
  - remote: "https://gitlab.com/LibreFoodPantry/common-services/tools/\
      build/-/raw/main/source/gitlab-ci/build.yml"
  - remote: "https://gitlab.com/LibreFoodPantry/common-services/tools/\
      test/-/raw/main/source/gitlab-ci/test.yml"
  - remote: "https://gitlab.com/LibreFoodPantry/common-services/tools/\
      release/-/raw/main/source/gitlab-ci/release.yml"
  - remote: "https://gitlab.com/LibreFoodPantry/common-services/tools/linters/\
      lint-commit-messages/-/raw/main/source/gitlab-ci/lint-commit-messages.yml"
  # disabled by default- add to ENABLED_JOBS to enable
  - remote: "https://gitlab.com/LibreFoodPantry/common-services/tools/linters/\
      shellcheck/-/raw/main/source/gitlab-ci/shellcheck.yml"
  - remote: "https://gitlab.com/LibreFoodPantry/common-services/tools/linters/\
      hadolint/-/raw/main/source/gitlab-ci/hadolint.yml"
  - remote: "https://gitlab.com/LibreFoodPantry/common-services/tools/linters/\
      eslint/-/raw/main/source/gitlab-ci/eslint.yml"
  - remote: "https://gitlab.com/LibreFoodPantry/common-services/tools/linters/\
      jsonlint/-/raw/main/source/gitlab-ci/jsonlint.yml"
  - remote: "https://gitlab.com/LibreFoodPantry/common-services/tools/linters/\
      yamllint/-/raw/main/source/gitlab-ci/yamllint.yml"
  - remote: "https://gitlab.com/LibreFoodPantry/common-services/tools/linters/\
      lint-package-json/-/raw/main/source/gitlab-ci/lint-package-json.yml"
  - remote: "https://gitlab.com/LibreFoodPantry/common-services/tools/linters/\
      markdownlint-cli2/-/raw/main/source/gitlab-ci/markdownlint-cli2.yml"
  - remote: "https://gitlab.com/LibreFoodPantry/common-services/tools/linters/\
      spectral/-/raw/main/source/gitlab-ci/spectral.yml"
  - remote: "https://gitlab.com/LibreFoodPantry/common-services/tools/linters/\
      cspell/-/raw/main/source/gitlab-ci/cspell.yml"
  - remote: "https://gitlab.com/LibreFoodPantry/common-services/tools/linters/\
      markdown-link-check/-/raw/main/source/gitlab-ci/markdown-link-check.yml"
  - remote: "https://gitlab.com/LibreFoodPantry/common-services/tools/linters/\
      htmlhint/-/raw/main/source/gitlab-ci/htmlhint.yml"
  - remote: "https://gitlab.com/LibreFoodPantry/common-services/tools/linters/\
      stylelint/-/raw/main/source/gitlab-ci/stylelint.yml"
  - remote: "https://gitlab.com/LibreFoodPantry/common-services/tools/linters/\
      alexjs/-/raw/main/source/gitlab-ci/alexjs.yml"
